Foxit PDF SDK

Public Member Functions | List of all members
foxit.pdf.PortfolioFileNode Class Reference
Inheritance diagram for foxit.pdf.PortfolioFileNode:

## Public Member Functions
| PortfolioFileNode (PortfolioNode other)
| Constructor, with parent class object. More...
FileSpec | GetFileSpec ()
| Get the related file specification object which is used to access an embedded file information and data. More...
string | GetKeyName ()
| Get the key name of the related file specification object. More...
Public Member Functions inherited from foxit.pdf.PortfolioNode
| PortfolioNode (PortfolioNode other)
| Constructor, with another portfolio node object. More...
PortfolioNode.Type | GetNodeType ()
| Get node type. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...

## Additional Inherited Members
Public Types inherited from foxit.pdf.PortfolioNode
enum | Type { Type.e_TypeUnknown = 0, Type.e_TypeFolder = 1, Type.e_TypeFile = 2 }
| Enumeration for portfolio node type. More...

## Detailed Description

Portfolio file node is always associated with a file specification which represents an embedded file in portfolio PDF document.
Class PortfolioFileNode is derived from class PortfolioNode . It offers function to access related file specification object and the key name for this file specification object.

## Constructor & Destructor Documentation

## ◆ PortfolioFileNode()

foxit.pdf.PortfolioFileNode.PortfolioFileNode | ( | PortfolioNode | other | ) |
| inline

Constructor, with parent class object.

Parameters

  [in] | other | Parent class object.

## Member Function Documentation

## ◆ GetFileSpec()

FileSpec foxit.pdf.PortfolioFileNode.GetFileSpec | ( |  | ) |
| inline

Get the related file specification object which is used to access an embedded file information and data.

Returns
  A file specification object.

## ◆ GetKeyName()

string foxit.pdf.PortfolioFileNode.GetKeyName | ( |  | ) |
| inline

Get the key name of the related file specification object.

Key name is used for storing a file specification. Key name can be used in class Attachments . Also, key name can be used to specify the initial document in class Portfolio .

Returns
  A file specification object.